Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234854 - attribute namespace serialization bug
Summary: attribute namespace serialization bug
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: apr-util
Version: 4.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 16:16 UTC by Joe Orton
Modified: 2008-01-16 13:59 UTC (History)
0 users

Fixed In Version: RHBA-2008-0051
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-16 13:59:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0051 normal SHIPPED_LIVE apr-util bug fix update 2008-07-23 21:57:19 UTC

Description Joe Orton 2007-04-02 16:16:25 UTC
+++ This bug was initially created as a clone of Bug #234852 +++

Description of problem:
An attribute namespace serialization bug discovered recently in apr-util causes
mod_dav in Apache httpd to return invalid XML when a client attempts to retrieve
particular WebDAV properties.  This is a rare but severe problem which can be
triggered by particular uses of RDF with WebDAV.

Version-Release number of selected component (if applicable):
apr-util-1.2.7-6

How reproducible:
always

Steps to Reproduce:
repro case available

-- Additional comment from jorton@redhat.com on 2007-04-02 12:14 EST --
Simple low-risk fix available.

Comment 6 errata-xmlrpc 2008-01-16 13:59:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0051.html



Note You need to log in before you can comment on or make changes to this bug.